/////////////////////////////////////////////
// Plugin Support Structures that support the
// Process Patcher plugin architecture
/////////////////////////////////////////////

// Plugin Archicture Support Structures and APIs
typedef struct
{
	int majorVersion;
	int minorVersion;
	char* descriptionInformation;
	char* copyrightInformation;
} PLUGIN_VERSION_INFORMATION;

typedef struct
{
	unsigned long processId;
	char* pluginArguments[1000];
	int numberOfArguments;
} PLUGIN_EXECUTE_INFORMATION;

//
// complusory plugin exports
//
bool GetPluginVersionInformation(PLUGIN_VERSION_INFORMATION* pluginVersionInfo);
bool ExecutePlugin(PLUGIN_EXECUTE_INFORMATION* pluginExecuteInfo);
char* GetLastPluginError(void);